(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
	typeof define === 'function' && define.amd ? define('ng-numeric-only', ['exports', '@angular/core'], factory) :
	(factory((global['ng-numeric-only'] = {}),global.ng.core));
}(this, (function (exports,core) { 'use strict';

var NumericOnlyDirective = /** @class */ (function () {
    function NumericOnlyDirective() {
    }
    NumericOnlyDirective.prototype.onkeypress = function (e) {
        var event = e || window.event;
        if (event) {
            return this.isNumberKey(event);
        }
    };
    NumericOnlyDirective.prototype.isNumberKey = function (event) {
        var charCode = (event.which) ? event.which : event.keyCode;
        if (charCode > 31 && (charCode < 48 || charCode > 57)) {
            return false;
        }
        return true;
    };
    return NumericOnlyDirective;
}());
NumericOnlyDirective.decorators = [
    { type: core.Directive, args: [{
                selector: '[numeric-only]'
            },] },
];
NumericOnlyDirective.ctorParameters = function () { return []; };
NumericOnlyDirective.propDecorators = {
    "onkeypress": [{ type: core.HostListener, args: ['keypress',] },],
};

exports.NumericOnlyDirective = NumericOnlyDirective;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ng-numeric-only.umd.js.map
